%global oramajor 21

Name:           ocilib
Version:        4.7.6
Release:        2%{?dist}
Summary:        ocilib provides access to Oracle databases for C programs

License:        Apache 2.0
URL:            https://github.com/vrogier/ocilib
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}-gnu.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  oracle-instantclient-devel
Requires:       oracle-instantclient-basic

%description
OCILIB is an open source and cross platform Oracle Driver that
delivers efficient access to Oracle databases. It offers a full
featured, easy and productive API. Written in ISO C on top of OCI,
OCILIB runs on all Oracle platforms.

%package devel
Summary:        Development files for ocilib
Requires:       %{name} = %{version}
Requires:       oracle-instantclient-devel
Requires:       pkgconfig

%description devel
OCILIB is an open source and cross platform Oracle Driver that
delivers efficient access to Oracle databases. It offers a full
featured, easy and productive API. This package contains files
required for developing applications and/or libraries against
ocilib.

%prep
%autosetup

%build
%configure \
 --with-oracle-headers-path=%{_includedir}/oracle/%{oramajor}/client64 \
 --with-oracle-lib-path=%{_exec_prefix}/lib/oracle/%{oramajor}/client64/lib \
 --with-oracle-import=linkage \
 --disable-static

%make_build

%install
%make_install

%files
%{_libdir}/*.so*

%files devel
%{_includedir}
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/doc/%{name}
